
%define snap 20140920

Name:           libqinfinity
Summary:        Qt bindings for libinfinity
Epoch:          1
Version:        0.6
Release:        0.3.%{snap}%{?dist}

License:        GPLv2
URL:            https://projects.kde.org/projects/playground/libs/libqinfinity
%if 0%{?snap}
Source0:        libqinfinity-0.6-%{snap}.tar.xz 
%else
Source0:        http://download.kde.org/stable/%{name}/%{version}/src/%{name}-v%{version}.tar.xz
%endif

BuildRequires: cmake
BuildRequires: pkgconfig(libinfinity-0.6)
BuildRequires: pkgconfig(libgsasl) 
BuildRequires: pkgconfig(QtNetwork)

%description
Qt wrapper around libinfinity, a library for collaborative editing

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup 


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
make %{?_smp_mflags}
popd


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc
%{_libdir}/libqinfinity.so.3.1.0
%{_libdir}/libqinfinity.so.5

%files devel
%doc AUTHORS COPYING README
%{_includedir}/libqinfinity/
%{_libdir}/libqinfinity.so


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.6-0.3.20140920
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1:0.6-0.2.20140920
- Rebuilt for GCC 5 C++11 ABI change

* Sat Sep 20 2014 Rex Dieter <rdieter@fedoraproject.org> 1:0.6-0.1.20140920
- 0.6 branch snapshot

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 30 2013 Jan Grulich <jgrulich@redhat.com> - 1:0.5.2-1
- libqinfinity 0.5.2

* Tue Sep 24 2013 Daniel Vrátil <dvratil@redhat.com> - 1:0.5.1
- libqinfinity 0.5.1

* Mon Aug 26 2013 Daniel Vrátil <dvratil@redhat.com> - 1:0.5.0
- libqinfinity 0.5.0

